Example request
PATCH https://api.jupiter-erp.com/api/account/file-folders/example-id
Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/file-folders/example-id' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"hex_color": "string",
"parent_id": 0
}'Parameters
| Name | In | Required | Description |
|---|---|---|---|
| id | path | yes | — |
Request body
Optional
| Field | Type | Description |
|---|---|---|
| hex_color | string | — |
| name | string | — |
| parent_id | integer | — |
Example request
{
"name": "string",
"hex_color": "string",
"parent_id": 0
}Responses
200Updated
ModelFileFolder
| Field | Type | Description |
|---|---|---|
| child_folders_count* | integer | — |
| created_at | string (date-time) | Creation timestamp in ISO 8601 format. |
| files_count* | integer | — |
| hex_color | string | — |
| id* | integer | — |
| name* | string | — |
| parent_id | integer | — |
| protected | boolean | — |
| updated_at | string (date-time) | Last update timestamp in ISO 8601 format. |
Example response
{
"id": 0,
"parent_id": 0,
"name": "string",
"protected": true,
"hex_color": "string",
"files_count": 0,
"child_folders_count": 0
}FileFolders